CVE-2005-4592
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 21:28:36
NMCO    

[原文]Heap-based buffer overflow in bogofilter and bogolexer 0.96.2 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via words that are longer than the input buffer used by flex.


[CNNVD]Bogofilter多个远程缓冲区溢出漏洞(CNNVD-200512-697)

        bogofilter和bogolexer 0.96.2中存在栈缓冲区溢出,远程攻击者可通过比flex所用的输入缓冲区更长的字来发起拒绝服务攻击(崩溃)并可能执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:bogofilter:email_filter:0.95.2
cpe:/o:bogofilter:email_filter:0.94.14
cpe:/o:bogofilter:email_filter:0.93.5
cpe:/o:bogofilter:email_filter:0.94.12
cpe:/o:bogofilter:email_filter:0.96.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4592
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4592
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-697
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16171
(PATCH)  BID  16171
http://secunia.com/advisories/18352
(VENDOR_ADVISORY)  SECUNIA  18352
http://bogofilter.sourceforge.net/security/bogofilter-SA-2005-02
(VENDOR_ADVISORY)  CONFIRM  http://bogofilter.sourceforge.net/security/bogofilter-SA-2005-02
http://www.vupen.com/english/advisories/2006/0100
(UNKNOWN)  VUPEN  ADV-2006-0100
http://xforce.iss.net/xforce/xfdb/24119
(UNKNOWN)  XF  bogofilter-long-word-bo(24119)
http://secunia.com/advisories/18717
(UNKNOWN)  SECUNIA  18717
http://lists.suse.com/archive/suse-security-announce/2006-Feb/0001.html
(UNKNOWN)  SUSE  SUSE-SR:2006:003

- 漏洞信息

Bogofilter多个远程缓冲区溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2006-01-11 00:00:00
远程  
        bogofilter和bogolexer 0.96.2中存在栈缓冲区溢出,远程攻击者可通过比flex所用的输入缓冲区更长的字来发起拒绝服务攻击(崩溃)并可能执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/bogofilter/bogofilter-1.0.1.tar.gz
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter-bdb_0.95.2-1ubuntu1.1_powerpc.deb
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter-common_0.95.2-1ubuntu1.1_powerpc.deb
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter_0.95.2-1ubuntu1.1_powerpc.deb

- 漏洞信息

22279
bogofilter bogofilter/bogolexer Word Processing Overflow DoS
Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability

- 漏洞描述

- 时间线

2006-01-02 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.0.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站